net.minecraft.client.renderer

## Class ActiveRenderInfo

- java.lang.Object
- - net.minecraft.client.renderer.ActiveRenderInfo

-     public class ActiveRenderInfo
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static float` | `objectX` The calculated view object X coordinate
    `static float` | `objectY` The calculated view object Y coordinate
    `static float` | `objectZ` The calculated view object Z coordinate
    `static float` | `rotationX` The X component of the entity's yaw rotation
    `static float` | `rotationXY` The Y component (scaled along the X axis) of the entity's pitch rotation
    `static float` | `rotationXZ` The combined X and Z components of the entity's pitch rotation
    `static float` | `rotationYZ` The Y component (scaled along the Z axis) of the entity's pitch rotation
    `static float` | `rotationZ` The Z component of the entity's yaw rotation

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActiveRenderInfo()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `getBlockIdAtEntityViewpoint(World par0World, EntityLivingBase par1EntityLivingBase, float par2)` Returns the block ID at the current camera location (either air or fluid), taking into account the height of fluid blocks
    `static Vec3` | `projectViewFromEntity(EntityLivingBase par0EntityLivingBase, double par1)` Returns a vector representing the projection along the given entity's view for the given distance
    `static void` | `updateRenderInfo(EntityPlayer par0EntityPlayer, boolean par1)` Updates the current render info and camera location based on entity look angles and 1st/3rd person view mode

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### objectX

          public static float objectX

      The calculated view object X coordinate

    - #### objectY

          public static float objectY

      The calculated view object Y coordinate

    - #### objectZ

          public static float objectZ

      The calculated view object Z coordinate

    - #### rotationX

          public static float rotationX

      The X component of the entity's yaw rotation

    - #### rotationXZ

          public static float rotationXZ

      The combined X and Z components of the entity's pitch rotation

    - #### rotationZ

          public static float rotationZ

      The Z component of the entity's yaw rotation

    - #### rotationYZ

          public static float rotationYZ

      The Y component (scaled along the Z axis) of the entity's pitch rotation

    - #### rotationXY

          public static float rotationXY

      The Y component (scaled along the X axis) of the entity's pitch rotation

  - ### Constructor Detail

    - #### ActiveRenderInfo

          public ActiveRenderInfo()

  - ### Method Detail

    - #### updateRenderInfo

          public static void updateRenderInfo(EntityPlayer par0EntityPlayer,
                              boolean par1)

      Updates the current render info and camera location based on entity look angles and 1st/3rd person view mode

    - #### projectViewFromEntity

          public static Vec3 projectViewFromEntity(EntityLivingBase par0EntityLivingBase,
                                   double par1)

      Returns a vector representing the projection along the given entity's view for the given distance

    - #### getBlockIdAtEntityViewpoint

          public static int getBlockIdAtEntityViewpoint(World par0World,
                                        EntityLivingBase par1EntityLivingBase,
                                        float par2)

      Returns the block ID at the current camera location (either air or fluid), taking into account the height of fluid blocks